<?php

namespace Controller;

use Categorie;
use Breadcrumb;
use Symfony\Component\Routing\Annotation\Route;


/**
 * Class SitemapController
 * @package Controller
 *
 * @Route("")
 */
class SitemapController extends Controller
{
    /**
     * @Route("/sitemap.html", name="sitemap", methods = { "GET" })
     */

    public function sitemap()
    {

        $categorie = new Categorie();
        $arrCategories = $categorie->getTree();

        $bc = Breadcrumb::getInstance();
        $bc->add("Plan du site" ,$this->generateUrl('sitemap'));

        $this->template->assign('categories', $arrCategories->getTree('array'));
        return $this->render('sitemap.tpl');
    }
}