<?php

namespace Shopbydedi\Payment;

use Panier;
use Tpe;

/**
 * Class PayboxCb
 * @package Shopbydedi\Payment
 */
class PayboxCb extends Paybox
{
    /**
     * @param Tpe $tpe
     * @param float $amount
     * @param array $params
     *
     * @return string
     */
    public function request(Tpe $tpe, $amount, $params = array())
    {
        $params['PBX_TYPEPAIEMENT'] = 'CARTE';
        $params['PBX_TYPECARTE'] = 'CB';

        return parent::request($tpe, $amount, $params);
    }

    /**
     * @param Panier $panier
     * @param float $amount
     * @param array $params
     *
     * @return string
     */
    public function requestFromPanier(Panier $panier, $amount, $params = array())
    {
        $params['PBX_TYPEPAIEMENT'] = 'CARTE';
        $params['PBX_TYPECARTE'] = 'CB';

        return parent::requestFromPanier($panier, $amount, $params);
    }
}