<?php

use Phinx\Migration\AbstractMigration;

class InsertRole extends AbstractMigration
{
    public function up()
    {
        $role = array(
            array('role_id' => '1','role_name' => 'Client','role_code' => 'client','role_desc' => '')
        );

        $this
            ->table('role')
            ->insert($role)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('role')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
