<?php

namespace EventListener;

use Event\TemplateEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Tracking;

/**
 * Class TrackingListener
 * @package EventListener
 */
class TrackingListener implements EventSubscriberInterface
{
    /**
     * @param TemplateEvent $event
     */
    public function onPreRender(TemplateEvent $event)
    {
        $tracking = new Tracking;
        $tracking->get('getVisites', '', $event->getEngine());
    }

    public static function getSubscribedEvents()
    {
        return [
            TemplateEvent::PRE_RENDER => array(array('onPreRender', 32)),
        ];
    }
}